@import url('./s768/partner.css');
#header {
  --header-bg: var(--header-bg-none);
  --nav-color: var(--nav-color-dark);
}

#partner-main {
  --pd: 160px;
  --mh: 700px;
  .top-wrapper {
    background-image: url('../images/partner/banner_hhr.jpg');
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0 var(--pd);
    position: relative;
    aspect-ratio: 1920/700;

    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    justify-content: space-between;

    .partner-title {
      display: flex;
      justify-content: center;
      .partner-title-text {
        background: linear-gradient(
          to right,
          rgba(255, 255, 255, 0.01) 5%,
          rgba(255, 255, 255, 0.05) 10%,
          rgba(255, 255, 255, 0.5) 15%,
          rgba(255, 255, 255, 0.9),
          rgba(255, 255, 255, 0.5) 85%,
          rgba(255, 255, 255, 0.05) 90%,
          rgba(255, 255, 255, 0.01) 5%
        );

        padding: 0 300px;
        height: 150px;

        display: flex;
        justify-content: center;
        align-items: center;
        white-space: nowrap;

        font-size: 56px;
        font-weight: bold;
        color: #00705c;
      }
    }

    .partner-nav {
      --h: 80px;
      display: flex;
      margin-top: 208px;
      height: var(--h);
      background-color: #f0f4f5;

      display: flex;
      justify-content: space-between;
      align-items: center;
      color: #666666;

      .nav-tabs {
        align-self: stretch;
        display: flex;
        align-items: center;

        .nav-tab {
          padding: 0 30px;
          font-size: 24px;
          align-self: stretch;
          display: flex;
          align-items: center;
          cursor: pointer;

          &.is-active {
            background-color: #52b64d;
            color: #ffffff;
          }
        }
      }

      & > *:last-child {
        padding: 0 60px;
      }
    }
  }

  .content-wrapper {
    padding: 30px var(--pd);
    position: relative;

    .content-item {
      padding: 50px 0;
      padding-bottom: 30px;

      .item-title {
        font-size: 36px;
        color: #000000;
        font-weight: bold;
        text-align: center;
      }

      .item-main {
        display: flex;
        gap: 90px;

        & > .item-main-img {
          width: 600px;
          height: 579px;
          margin-left: 103px;
          margin-top: 60px;
          flex-shrink: 0;

          img {
            width: 100%;
            object-fit: cover;
          }
        }

        .item-main-desc-box {
          display: flex;
          flex-direction: column;
          gap: 40px;
          margin: 50px 0;

          .item-main-desc {
            display: flex;
            align-items: center;
            gap: 32px;
            font-size: 24px;
            color: #333333;

            .desc-icon {
              --s: 80px;
              width: var(--s);
              height: var(--s);
              background-image: url('../images/partner/hhr2.png');
              display: flex;
              justify-content: center;
              align-items: center;
              flex-grow: 0;
              flex-shrink: 0;
              font-size: 45px;
              color: #ffffff;
            }
          }
        }

        .item-img-box {
          flex-grow: 1;
          display: flex;
          align-items: center;
          gap: 36px;

          & > .item-img:nth-child(2) {
            align-self: stretch;
            flex-grow: 1;
            background-image: url('../images/partner/quanyi2.jpg');
            aspect-ratio: 1190/819;
            background-size: auto 100%;
            background-repeat: no-repeat;
            background-position: 100% center;

            display: flex;
            justify-content: space-between;
            position: relative;
          }
        }

        .qy-box {
          display: flex;
          flex-direction: column;
          align-items: center;
          font-weight: bold;
          color: #ffffff;
          gap: 24px;
          position: relative;
          top: 22%;
          flex-grow: 1;

          .qy-image {
            --s: 74px;
            width: var(--s);
            height: var(--s);
            & > img {
              width: var(--s);
              height: var(--s);
            }
          }

          .qy-title {
            font-size: 32px;
            color: #00705c;
          }

          .qy-item {
            width: 70%;
            height: 46px;
            background-image: linear-gradient(to bottom, #32d5a9, #1a8165);
            border-radius: 23px;

            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 24px;

            box-shadow: 5px 10px 15px rgba(0, 0, 0, 0.2);
          }
        }

        .hz-item-box {
          display: grid;
          grid-template-columns: repeat(6, 1fr);
          gap: 32px;
          margin-top: 60px;

          .hz-item {
            display: grid;
            grid-template-rows: repeat(2, 1fr);
            gap: 34px;

            .hz-item-tp,
            .hz-item-bt {
              width: 250px;
              height: 210px;
              display: flex;
              flex-direction: column;
              align-items: center;
              gap: 28px;
              box-sizing: border-box;
              font-size: 22px;
              color: #333333;

              overflow: hidden;

              .hz-item-icon {
                font-size: 30px;
                color: #00705c;

                & > img {
                  transition: all 0.5s ease-in-out;
                }
              }
            }

            .hz-item-tp {
              .hz-item-icon {
                width: 60px;
                height: 60px;
                line-height: 60px;
                text-align: center;
                user-select: none;
                position: relative;
                transition: all 0.5s ease-in-out;

                & > span {
                  position: absolute;
                  display: block;
                  left: 0;
                  top: 0;
                  width: 100%;
                }
              }
            }

            .hz-item-bt {
              background-color: #00705c;
              border-radius: 10px;
              justify-content: center;
              font-size: 30px;
              color: #ffffff;

              .hz-item-icon {
                width: 95px;
                height: 95px;
                font-weight: bold;
              }
            }

            &:nth-child(2n) {
              .hz-item-tp {
                grid-row-start: 2;
              }
            }

            &:hover {
              .hz-item-tp > .hz-item-icon > img {
                transform: rotate(360deg);
              }

              .hz-item-bt {
                box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
              }
            }
          }
        }
      }
    }

    .content-page {
      --size: 28px;
      --color: #666666;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 25px;
      color: var(--color);

      font-size: 18px;

      & > * {
        height: var(--size);
      }

      svg {
        --s: 20px;
        width: var(--s);
        height: var(--s);
        fill: var(--color);
      }

      .page-prev,
      .page-next {
        --size: 22px;
        cursor: pointer;
        border-radius: 50%;
        width: var(--size);
        height: var(--size);
        display: flex;
        justify-content: center;
        align-items: center;

        &:hover {
          background-color: rgba(0, 0, 0, 0.3);

          svg {
            fill: #ffffff;
          }
        }
      }

      .page-num {
        display: flex;
        align-items: center;
        font-size: 14px;
        gap: 5px;
        padding: 0 10px;

        .page-num-item {
          width: var(--size);
          height: var(--size);
          display: flex;
          justify-content: center;
          align-items: center;
          border-radius: 50%;

          cursor: pointer;

          &.is-active {
            background-color: #38a073;
            color: #ffffff;
          }

          &:hover {
            background-color: rgba(0, 0, 0, 0.2);
            color: #ffffff;
          }
        }
      }

      .page-total {
        margin: 0 15px;
      }

      .page-go {
        input {
          width: 50px;
          outline: none;
          font-size: 16px;
          border: none;
          height: calc(var(--size) - 5px);
          text-align: center;
          color: var(--color);
        }
      }
    }
  }

  .progress-wrapper {
    padding: 30px var(--pd);
    position: relative;

    .progress-title {
      font-size: 36px;
      text-align: center;
      font-weight: bold;
      margin-top: 50px;
    }

    .progress-main {
      position: relative;

      img {
        width: 100%;
      }

      .progress-item-wrapper {
        position: absolute;
        display: block;
        width: 100%;
        aspect-ratio: 1601/720;

        .progress-item {
          position: absolute;
          width: 200px;

          .item-desc {
            font-size: 20px;
            color: #666666;
            word-break: break-all;
            white-space: wrap;
          }

          .item-date {
            font-size: 38px;
            color: #00705c;
            font-weight: bold;
          }
        }

        &:nth-child(1) {
          top: 0;

          .progress-item {
            &:nth-child(1) {
              left: 6%;
              top: 46.5%;
            }

            &:nth-child(2) {
              left: 23%;
              top: 27.5%;
            }

            &:nth-child(3) {
              left: 42.2%;
              top: 15.5%;
            }

            &:nth-child(4) {
              left: 67.5%;
              top: 4.2%;
            }

            &:nth-child(5) {
              left: 88.5%;
              top: 0;
            }
          }
        }

        &:nth-child(2) {
          top: 69%;

          .progress-item {
            &:nth-child(1) {
              left: 14.5%;
              top: 17.2%;
            }

            &:nth-child(2) {
              left: 29.8%;
              top: 11.5%;
            }

            &:nth-child(3) {
              left: 47%;
              top: 10.2%;
            }

            &:nth-child(4) {
              left: 63.3%;
              top: 6%;
            }

            &:nth-child(5) {
              left: 84%;
              top: 0;
            }
          }
        }
      }
    }
  }
}
